<!DOCTYPE html>
<html lang="zh-CN">

	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<link rel="shortcut icon" type="image/x-icon" href="static/favicon.ico">
		<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
		<title>
			<%= htmlWebpackPlugin.options.title %>
		</title>
		<script>
			document.addEventListener('DOMContentLoaded', function () {
				document.documentElement.style.fontSize = document.documentElement.clientWidth / 20 + 'px'
			})
			window.addEventListener(
				"error",
				function (e) {
					var jsLoadedErrorReload = window.sessionStorage.getItem(
						"jsLoadedErrorReload" // 跳转的标识，存入sessionStorage。用于不可控情况下，防止一直满足条件，触发死循环性的跳转页面
					);
					const fileReg = /\/js\/((chunk-vendors)|(app))\.[a-zA-Z0-9]+/;
					const filename = e.filename || e.target.src || "";
					if (jsLoadedErrorReload !== "true" && filename.match(fileReg)) {
						window.sessionStorage.setItem("jsLoadedErrorReload", true); // 满足条件则，存入标识
						let url = window.location.href;
						const timeStr = `timeStr=${Date.now()}`;
						url = /\?/.test(url) ? url + "&" + timeStr : url + "?" + timeStr;
						window.location.replace(url); // 跳转时添加了时间戳
					}
				},
				true
			);
		</script>
		<link rel="stylesheet" href="<%= BASE_URL %>static/index.css" />
	</head>

	<body>
		<noscript>
			<strong>本站点必须要开启JavaScript才能运行</strong>
		</noscript>
		<div id="app"></div>
	</body>

</html>